org.jboss.jca.embedded.dsl.ironjacamar12.api

## Interface WorkmanagerSecurityMappingsType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface WorkmanagerSecurityMappingsType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `workmanagerSecurityMappingsType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkmanagerSecurityMappingsGroupsType<WorkmanagerSecurityMappingsType<T>>` | `getOrCreateGroups()` If not already created, a new `groups` element with the given value will be created.
    `WorkmanagerSecurityMappingsUsersType<WorkmanagerSecurityMappingsType<T>>` | `getOrCreateUsers()` If not already created, a new `users` element with the given value will be created.
    `WorkmanagerSecurityMappingsType<T>` | `removeGroups()` Removes the `groups` element
    `WorkmanagerSecurityMappingsType<T>` | `removeUsers()` Removes the `users` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateUsers

          WorkmanagerSecurityMappingsUsersType<WorkmanagerSecurityMappingsType<T>> getOrCreateUsers()

      If not already created, a new `users` element with the given value will be created. Otherwise, the existing `users` element will be returned.
      Returns:
        a new or existing instance of `WorkmanagerSecurityMappingsUsersType>`

    - #### removeUsers

          WorkmanagerSecurityMappingsType<T> removeUsers()

      Removes the `users` element
      Returns:
        the current instance of `WorkmanagerSecurityMappingsType`

    - #### getOrCreateGroups

          WorkmanagerSecurityMappingsGroupsType<WorkmanagerSecurityMappingsType<T>> getOrCreateGroups()

      If not already created, a new `groups` element with the given value will be created. Otherwise, the existing `groups` element will be returned.
      Returns:
        a new or existing instance of `WorkmanagerSecurityMappingsGroupsType>`

    - #### removeGroups

          WorkmanagerSecurityMappingsType<T> removeGroups()

      Removes the `groups` element
      Returns:
        the current instance of `WorkmanagerSecurityMappingsType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)